#version 450
layout(std140, binding = 0) uniform Globals {
    mat4  uVP;
    vec3  uCam;
    float uTime;
    float uRain;
};
layout(location = 0) in float vV;
layout(location = 0) out vec4 FragColor;
void main() {
    float a = uRain * mix(0.28, 0.75, vV);
    vec3 col = mix(vec3(0.62, 0.70, 0.88), vec3(0.78, 0.84, 0.96), vV);
    FragColor = vec4(col, a);
}
